Feature: Setup command
  In order to make Busser self-reliant with little external initialization
  As a user of Busser
  I want a command to set up Busser's environment

  Background:
    Given a test BUSSER_ROOT directory named "busser-setup"
    And I delete the BUSSER_ROOT directory

  Scenario: Busser home is set up with bourne binstub
    Given I run `busser setup --type bourne`
    Then the BUSSER_ROOT directory should exist
    And a busser binstub file should contain:
    """
    This file was generated by Busser.
    """
    And a busser binstub file should contain:
    """
    export BUSSER_ROOT
    """
    And the exit status should be 0

  Scenario: Busser home is set up with bat binstub
    Given I run `busser setup --type bat`
    Then the BUSSER_ROOT directory should exist
    And a bat busser binstub file should contain:
    """
    REM This file was generated by Busser.
    """
    And a bat busser binstub file should contain:
    """
    SET "BUSSER_EXIT_STATUS=%ERRORLEVEL%"
    """
    And the exit status should be 0
